org.springframework.cloud.dataflow.server.controller.assembler

## Class DefaultTaskDefinitionAssemblerProvider

- java.lang.Object
- - org.springframework.cloud.dataflow.server.controller.assembler.DefaultTaskDefinitionAssemblerProvider

- All Implemented Interfaces:
    TaskDefinitionAssemblerProvider<TaskDefinitionResource>

      public class DefaultTaskDefinitionAssemblerProvider
      extends Object
      implements TaskDefinitionAssemblerProvider<TaskDefinitionResource>

  Default REST resource assembler that returns the `TaskDefinitionResource` type.
  Author:
    Ilayaperumal Gopinathan, Glenn Renfro

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTaskDefinitionAssemblerProvider(TaskExecutionService taskExecutionService, TaskJobService taskJobService, org.springframework.cloud.task.repository.TaskExplorer taskExplorer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultTaskDefinitionAssembler` | `getTaskDefinitionAssembler(boolean enableManifest)` Get the task definition resource assembler.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultTaskDefinitionAssemblerProvider

          public DefaultTaskDefinitionAssemblerProvider(TaskExecutionService taskExecutionService,
                                                        TaskJobService taskJobService,
                                                        org.springframework.cloud.task.repository.TaskExplorer taskExplorer)

  - ### Method Detail

    - #### getTaskDefinitionAssembler

          public DefaultTaskDefinitionAssembler getTaskDefinitionAssembler(boolean enableManifest)

      Description copied from interface: `TaskDefinitionAssemblerProvider`
      Get the task definition resource assembler.
      Specified by:
        `getTaskDefinitionAssembler` in interface `TaskDefinitionAssemblerProvider<TaskDefinitionResource>`
      Parameters:
        `enableManifest` - boolean flag to indicate whether to retrieve the task execution manifest
      Returns:
        the task definition resource assembler

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.